Subject: [port-srv-reg] Questions about the Port Template forms for the ports document actions

From: Pearl Liang <[email-masked]>
Date: Wed, 4 May 2011 09:24:22 -0700

Hello All,

Since the I-D.ietf-tsvwg-iana-ports has been approved, we are also in the
process modifying the template forms.  The existing template forms are
available at:

Port Number Application: http://www.iana.org/cgi-bin/usr-port-number.pl
Modification Application: http://www.iana.org/cgi-bin/mod_portno.pl

Attached are two revised/drafted template forms.  In these drafted forms,
I still include the extended texts.  Joe responded in a previous message
that the text may need some revisions.  So,

[1] Please review the draft forms and texts (attached), and let me know if
you have any questions and changes.

Further, we have additional questions regarding some registrations in the
registries:

[2]
Gorry, we currently have the following dccp ports listed in the registry:

discard           9/dccp   Discard SC:DISC [RFC4340]

avt-profile-1   5004/dccp  RTP media data [RFC 3551][RFC 5762]
avt-profile-2   5005/dccp  RTP control protocol [RFC 3551][RFC 5762]

syslog-tls      6514/dccp  syslog over DTLS [RFC6012]

Can you please supply us with the service codes for those?

[3]
Is it possible for DCCP Service codes to be modified?  Or once they are
assigned they stay there forever?

[4]
Should we include a new field for 'port number requested (optional)' in
the application form?
This way, we are not fishing through the application form for if they
requested a particular port number.
We could also add a check for ³no number preference².

[5] 
Currently in the registry we have temporary assignments.  We would like to
suggest the following action:
Send the registrant an email to ask if they are still using the port number
If yes, have them complete the registration form so that it can be
permanently assigned
If no, remove the port assignment
If we are unable to reach them, remove the port assignment (after 3
attempts)

Please let us know if you agree to this process.

[6]
In one of our previous messages we asked the following and Joe responded:

>    9. What was ever decided regarding the few duplicate names in the
>       current ports registry? Are we doing anything with those?

[Joe] You mean alternates, such as "www" and "http"?

[Joe] I thought we were declaring one of those the primary, and listing
the 
others in some secondary place as deprecated but equivalent.

I think with http and www they are considered alias, however we still need
to be instructed on what to do for the registry.

We also have the following case:

msp              18/tcp    Message Send Protocol
msp              18/udp    Message Send Protocol
#                          Rina Nethaniel <---none--->

and

msp        2438/tcp   MSP
msp        2438/udp   MSP
#               Evan Caves <evan&acc.com>

What do we do with this?

---

Please let us know if you have any questions.

Thank you in advance for your help.

Cheers,
~pl

---

From: Michelle Cotton <[email-masked]>
Date: Tue, 10 May 2011 10:28:30 -0700

Did everyone see this?  Please respond as soon as possible as the document
is in the RFC-Editor's queue and we're trying to get this all completed.

Thank you,

Michelle

---

From: Magnus Westerlund <[email-masked]>
Date: Wed, 11 May 2011 11:08:37 +0200

> you have any questions and changes.

User Port template:

1. So there will be a separate "service name" request page?
   I do think it is a good idea, but just to ensure that this isn't
missing functionality.

2. "(Note: All information submitted to IANA will not be made public
without proper consent of the applicant.)"

Is this correct, to me this appears to be binding on the expert review
team also. I think you need to clarify in which regard you keep
confidentiality.

3. I think the template should make clear the difference between the
contact and the assignee with some wording?

4. "(Please check one(s) that is currently required.)"

Is "required" really the right word here? I know the intention is to
only have the requestor check the ones that they intended to use in the
short term. Can some better formulation be found?

Port Modification template:

5. Regarding comment 4 above, this template has a different formulation
for the protocols.

6. I do become uncertain if it is a modification request or new request
to add an additional protocol to a service. I think you need to make it
clear which to use.

7. If I want to change some of the SCTP specific info from the
registration template, how do I do that?

> discard           9/dccp   Discard SC:DISC [RFC4340]

The SC is present it is "DISC" but if you want it as a 32-bit integer it is

DISC = 44 49 53 43 which interpreted as an 32 bit integer are:

SC=741422379 SC=x2c31352B

> avt-profile-2   5005/dccp  RTP control protocol [RFC 3551][RFC 5762]

The following service codes are registered with RTP usage:
   o  SC:RTPA (equivalently SC=1381257281 or SC=x52545041): an RTP
      session conveying audio data (and OPTIONAL multiplexed RTCP)

   o  SC:RTPV (equivalently SC=1381257302 or SC=x52545056): an RTP
      session conveying video data (and OPTIONAL multiplexed RTCP)

   o  SC:RTPT (equivalently SC=1381257300 or SC=x52545054): an RTP
      session conveying text media (and OPTIONAL multiplexed RTCP)

   o  SC:RTPO (equivalently SC=1381257295 or SC=x5254504f): an RTP
      session conveying any other type of media (and OPTIONAL
      multiplexed RTCP)

   o  SC:RTCP (equivalently SC=1381253968 or SC=x52544350): an RTCP
      connection, separate from the corresponding RTP

> syslog-tls      6514/dccp  syslog over DTLS [RFC6012]

1398361159    SYLG    Syslog Protocol    [RFC6012]

> Can you please supply us with the service codes for those?

So I am not gorry, but they where present in the documents referenced.

> assigned they stay there forever?

I don't think they can be modified in the context of a service-name and
server port.

One thing that can happen is that one can request to add additional
service codes to a service name and a port combination.

If that is a modification of an existing service-name + combination or a
new request do needs to be discussed. But requiring it to be a new
request might be a good idea.

> We could also add a check for ³no number preference².

Yes, I think that is a good idea.

> Please let us know if you agree to this process.

I think everything but the removal is okay. The removal is likely ok but
maybe should be put in the port numbers comment. The alternative is to
reserve the port number for now with a note that it was temporarily
assigned.

> #               Evan Caves <evan&acc.com>

I don't think there exist any good way of resolving this. I think
assigning them each an alternative unique name and leave in a comment
about the original not being unique and should not be used in lookup
usages.

Cheers

Magnus Westerlund

----------------------------------------------------------------------
Multimedia Technologies, Ericsson Research EAB/TVM
----------------------------------------------------------------------
Ericsson AB                | Phone  +46 10 7148287
Färögatan 6                | Mobile +46 73 0949079
SE-164 80 Stockholm, Sweden| mailto: [email-masked]
----------------------------------------------------------------------

---

From: Michelle Cotton <[email-masked]>
Date: Wed, 11 May 2011 06:07:08 -0700

I'm actually not sure that is how we meant it and the titles/headings should
be changed.

Perhaps that is a question to the group.

Should there be a separate service name template?
Or do we keep them together in one?

--Michelle

On 5/11/11 2:08 AM, "Magnus Westerlund" <[email-masked]>
wrote:

> Since the
> I-D.ietf-tsvwg-iana-ports has been approved, we are also in the
> process
> modifying the template forms.  The existing template forms are
> available
> at:
> 
> Port Number Application:
> http://www.iana.org/cgi-bin/usr-port-number.pl
> Modification Application:
> http://www.iana.org/cgi-bin/mod_portno.pl
> 
> Attached are two
> revised/drafted template forms.  In these drafted forms,
> I still include the
> extended texts.  Joe responded in a previous message
> that the text may need
> some revisions.  So,
> 

User
> Port template:

> I do think it is a good idea, but just to ensure that this isn't
missing
> functionality.

2. "(Note: All information submitted to IANA will not be made
> public

Is this correct, to me this
> appears to be binding on the expert review
team also. I think you need to
> clarify in which regard you keep
confidentiality.

3. I think the template
> should make clear the difference between the
contact and the assignee with
> some wording?

Is
> "required" really the right word here? I know the intention is to
only have
> the requestor check the ones that they intended to use in the
short term. Can
> some better formulation be found?

5. Regarding
> comment 4 above, this template has a different formulation
for the
> protocols.

6. I do become uncertain if it is a modification request or new
> request
to add an additional protocol to a service. I think you need to make
> it
clear which to use.

7. If I want to change some of the SCTP specific info
> from the

> 
> Further, we have
> additional questions regarding some registrations in the
> registries:
> 
>
> [2]

The SC is
> present it is "DISC" but if you want it as a 32-bit integer it is

DISC = 44
> 49 53 43 which interpreted as an 32 bit integer are:

SC=741422379
> SC=x2c31352B

   o  SC:RTPA
> (equivalently SC=1381257281 or SC=x52545041): an RTP
      session conveying
> audio data (and OPTIONAL multiplexed RTCP)

   o  SC:RTPV (equivalently
> SC=1381257302 or SC=x52545056): an RTP
      session conveying video data (and
> OPTIONAL multiplexed RTCP)

   o  SC:RTPT (equivalently SC=1381257300 or
> SC=x52545054): an RTP
      session conveying text media (and OPTIONAL

   o  SC:RTPO (equivalently SC=1381257295 or SC=x5254504f):
> an RTP

   o  SC:RTCP (equivalently SC=1381253968 or SC=x52544350):
> an RTCP

> 6514/dccp  syslog over DTLS [RFC6012]

1398361159    SYLG    Syslog Protocol
> [RFC6012]

> Can you please supply us with the service codes for

So I am not gorry, but they where present in the documents
> referenced.

> assigned they stay there forever?

I don't think they can
> be modified in the context of a service-name and
server port.

One thing that
> can happen is that one can request to add additional
service codes to a
> service name and a port combination.

If that is a modification of an existing
> service-name + combination or a
new request do needs to be discussed. But
> requiring it to be a new

> 
>  
> [4]
> Should
> we include a new field for 'port number requested (optional)' in
> the
> application form?

> Please let us know if you agree to this process.

I
> think everything but the removal is okay. The removal is likely ok but
maybe
> should be put in the port numbers comment. The alternative is to
reserve the
> port number for now with a note that it was temporarily
assigned.

> [6]
> In
> one of our previous messages we asked the following and Joe responded:
> 
>>

I don't think there
> exist any good way of resolving this. I think
assigning them each an
> alternative unique name and leave in a comment
about the original not being
> unique and should not be used in lookup
usages.

Cheers

Magnus
> Westerlund

------------------------------------------------------------------
> ----
Multimedia Technologies, Ericsson Research
> EAB/TVM
Färögatan 6
> | Mobile +46 73 0949079
SE-164 80 Stockholm, Sweden| mailto:
> [email-masked]
-----------------------------------------------
> -----------------------

_______________________________________________
Port-
> srv-reg mailing 
> list
[email-masked]
https://www.ietf.org/mailman/listinfo/port-srv-reg

---

From: Joe Touch <[email-masked]>
Date: Wed, 11 May 2011 09:59:50 -0700

Hi, all,

> you have any questions and changes.

It's a bit hard to track this sort of thing from a Word document.

I do have a bunch of suggestions, based on the questions we have, but
I'd like to raise them in a separate response in ASCII.

> Gorry, we currently have the following dccp ports listed in the registry

I'm presuming Gorry will address this.

> assigned they stay there forever?

I'm presuming Gorry will address this.

> We could also add a check for ³no number preference².

IMO, yes.

It should say something like:

	port number requested (optional)*
	check here if no number preference

	* note - it is inappropriate to use a port number until final
	assignment has been confirmed

> Please let us know if you agree to this process.

Temporary assignments were made with that understanding, so this makes
sense. We might want to keep a notation somewhere (though not public)
for returned assignments, and for assignments we revoke by this process.

> the others in some secondary place as deprecated but equivalent.
> 

I gave my suggestion ;-)

I.e., put the aliases in the list, but mark them as "deprecated" as per
the IANA ports doc.

> #                          Rina Nethaniel<---none--->
> 
> and
> 
> msp        2438/tcp   MSP
> msp        2438/udp   MSP
> #               Evan Caves<evan&acc.com>
> 
> What do we do with this?

Yikes. I would suggest contacting the owners if possible to determine
whether either is in use. We might dig back at the archives to see when
each showed up (the Internet archives help for this sometimes). I don't
think 18 is in use. I don't know about 2438.

Joe

---

From: Joe Touch <[email-masked]>
Date: Wed, 11 May 2011 10:11:39 -0700

> Or do we keep them together in one?

I'd keep them together.

Joe

>
> --Michelle
>
>
> On 5/11/11 2:08 AM, "Magnus Westerlund"<[email-masked]>
> wrote:
>
> Port-srv-reg mailing list
> [email-masked]

---

From: Pearl Liang <[email-masked]>
Date: Sun, 15 May 2011 15:21:03 -0700

Hello All,

Please see inline comments.

In addition, I've revised both template forms to include feedback I
Received thus far.  I'm sending them separately to you all.  Please review
And provide your feedback.

-----Original Message-----
From: Magnus Westerlund <[email-masked]>
Date: Wed, 11 May 2011 02:08:37 -0700
To: pearl liang <[email-masked]>
Cc: "[email-masked]" <[email-masked]>, "[email-masked]"
<[email-masked]>
Subject: Re: [port-srv-reg] Questions about the Port Template forms for
the ports document actions

>   I do think it is a good idea, but just to ensure that this isn't

Joe suggested to use one form.  Please let us know what the consensus is
on whether there should be separate request forms for port number and
service name.

>team also. I think you need to clarify in which regard you keep

I took out this from the form.  Please refer to another message for
the User Port number and service name template.

>contact and the assignee with some wording?

Would it be sufficient to cite the RFC and section #?

>short term. Can some better formulation be found?

Would that be acceptable to use 'applied', rather than 'required'?  Please
help to provide other
alternatives.

>to add an additional protocol to a service. I think you need to make it

As now, we require a new template to add an additional proto to an
existing service.  The new proto is required to be reviewed by the expert
team.  Is this requirement still in effect?

>registration template, how do I do that?

Allison, can you help to address this?  A revision to the Modification
request form has also forwarded to you all in a separate message.  Please
take a look at that and provide your feedbacks.

>about the original not being unique and should not be used in lookup

In Joe's response, port #18 is probably not in use.  If that's the case,
would it be okay to mark the port #18 'historic' in the registry?

msp (historic)       18/tcp    Message Send Protocol (historic)
msp (historic)       18/udp    Message Send Protocol (historic)
#                          Rina Nethaniel <---none--->

Do we still need to correct port #2438?

Thank you again,
~pl

---

From: Magnus Westerlund <[email-masked]>
Date: Mon, 16 May 2011 10:02:08 +0200

> on whether there should be separate request forms for port number and

I am fine with that, but I think it impacts how that template needs to
look.

> Would it be sufficient to cite the RFC and section #?

Yes, that I think is fine from my perspective.

> Would that be acceptable to use 'applied', rather than 'required'?  Please

Yes, I think that is much better.

> team.  Is this requirement still in effect?

I do believe that is fine. However, I think you should make it clear
with a sentence somewhere.

> Do we still need to correct port #2438?

No, in that case I think it okay to leave it as it is.

Cheers

Magnus Westerlund

---

From: Pearl Liang <[email-masked]>
Date: Thu, 19 May 2011 08:49:15 -0700

Hello,

Thank you for the reply.

>with a sentence somewhere.

I'll address in the FAQ section in the next revision for your review.

>No, in that case I think it okay to leave it as it is.

So we can mark port #18 'historic' in the registry?

Thank you,
~pl

-----Original Message-----
From: Magnus Westerlund <[email-masked]>
Date: Mon, 16 May 2011 01:02:08 -0700
To: pearl liang <[email-masked]>
Cc: "[email-masked]" <[email-masked]>, "[email-masked]"
<[email-masked]>

---

From: Joe Touch <[email-masked]>
Date: Thu, 19 May 2011 08:52:02 -0700

Hi, all,

On 5/19/2011 8:49 AM, Pearl Liang wrote:
...
> So we can mark port #18 'historic' in the registry?

Yes - the RFC that describes it is historic, so that seems reasonable.

Joe